package com.ai.da.python.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DesignPythonItemElement {

    @ApiModelProperty("print的位置 传 [[0.2, 0.2]]")
    private List<List<Float>> location = new ArrayList<>();

    private List<String> element_path_list = new ArrayList<>();

    @ApiModelProperty("print的缩放比例 传 [0.2, 0.2]")
    private List<List<Float>> element_scale_list = new ArrayList<>();

    @ApiModelProperty("print的旋转角度 传 [0.2, 0.2]")
    private List<Double> element_angle_list = new ArrayList<>();

    public DesignPythonItemElement() {
    }
}
